<?php

namespace Drupal\monarch_view_mode_field\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'View Mode' formatter.
 *
 * @FieldFormatter(
 *   id = "monarch_view_mode",
 *   label = @Translation("View Mode"),
 *   field_types = {
 *     "monarch_view_mode"
 *   }
 * )
 */
class ViewModeFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $element = [];

    foreach ($items as $delta => $item) {
      $element[$delta] = [
        '#markup' => $item->value,
      ];
    }

    return $element;
  }

}
